package com.democompany.soa.esb.service.util.xml;

import com.democompany.soa.esb.service.util.xml.castor.XMLParserCastorImpl;

/**
 * This class is responsible for creating an instance of the XMLParser.
 * 
 * @author Leon Rubin
 */
public class XMLParserFactory {
	/**
	 * This method is the only place in the application that "knows" the
	 * specific class that implements the XMLParser interface.
	 * 
	 * @return XMLParser implementation
	 */
	public static XMLParser getParser() {
		return new XMLParserCastorImpl();
	}
}
