package com.democompany.soa.esb.service.xquery.customj.config;

import java.util.List;

import com.democompany.soa.esb.service.util.customj.parammap.ParameterMapping;

/**
 * 
 * 
 * @author Leon Rubin
 */
public class XQueryServiceConfig extends ParameterMapping {
	private List<XQQuery> queries;

	public List<XQQuery> getQueries() {
		return queries;
	}

	public void setQueries(List<XQQuery> queries) {
		this.queries = queries;
	}
	
	public String toString()
	{
		StringBuilder builder = new StringBuilder();
		
		builder.append(getClass());
		builder.append("\n{");
		builder.append("\n\n\tqueries\n\t{");

		for (XQQuery query : queries) {
			builder.append("\n\t\t");
			builder.append(query);
		}
		
		builder.append("\n\t}");
		builder.append("\n}\n");
		
		return builder.toString();
	}
}
