package com.democompany.soa.esb.service.util;

/**
 * This is a simple utility class containing useful string functions.
 * 
 * @author Leon Rubin
 */
public class StringUtil {
	/**
	 * Test the string for being empty (empty is defined as null or having no
	 * characters other than white space).
	 * 
	 * @param value
	 *            string to test
	 * @return <code>true</code> if the string is empty and <code>false</code>
	 *         otherwise
	 */
	public static boolean isEmpty(String value) {
		if (value == null || value.trim().length() == 0) {
			return true;
		} else {
			return false;
		}
	}

	/**
	 * Test the string for being not empty (empty is defined as null or having
	 * no characters other than white space).
	 * 
	 * @param value
	 *            string to test
	 * @return <code>true</code> if the string is not empty and
	 *         <code>false</code> otherwise
	 */
	public static boolean notEmpty(String value) {
		return !isEmpty(value);
	}
}
