package com.democompany.soa.esb.service.util.exception;

/**
 * This class represents a validation problem.
 * 
 * @author Leon Rubin
 * 
 */
public class ValidationException extends Exception {
	private static final long serialVersionUID = 1L;

	/**
	 * Creates an validation exception with a specified message.
	 * 
	 * @param message
	 *            exception messge
	 */
	public ValidationException(String message) {
		super(message);
	}
}
